%define upstream_name    String-Similarity
%define upstream_version 1.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 27

Summary:	Perl extension for calculating the similarity of two strings
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:  perl-devel


%{?perl_default_filter}

%description
$factor = similarity $string1, $string2, [$limit] 

The similarity-function calculates the similarity index of its two arguments. A
value of 0 means that the strings are entirely different. A value of 1 means
that the strings are identical. Everything else lies between 0 and 1 and
describes the amount of similarity between the strings.

It roughly works by looking at the smallest number of edits to change one
string into the other.

You can add an optional argument $limit (default 0) that gives the minimum
similarity the two strings must satisfy. similarity stops analyzing the string
as soon as the result drops below the given limit, in which case the result
will be invalid but lower than the given $limit. You can use this to speed up
the common case of searching for the most similar string from a set by
specifying the maximum similarity found so far.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc COPYING Changes README
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/*/*


%changelog
* Tue Nov 28 2023 tv <tv> 1.40.0-27.mga10
+ Revision: 2010533
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.40.0-26.mga9
+ Revision: 1862425
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.40.0-25.mga9
+ Revision: 1796070
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.40.0-24.mga9
+ Revision: 1727128
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.40.0-23.mga8
+ Revision: 1595271
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.40.0-22.mga8
+ Revision: 1530107
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.40.0-21.mga8
+ Revision: 1433902
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.40.0-20.mga7
+ Revision: 1293767
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.40.0-19.mga7
+ Revision: 1249267
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.40.0-18.mga7
+ Revision: 1166663
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.40.0-17.mga7
+ Revision: 1149176
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.40.0-16.mga7
+ Revision: 1126605
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-15.mga6
+ Revision: 1033417
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.40.0-14.mga6
+ Revision: 958007
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.40.0-13.mga6
+ Revision: 845295
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.40.0-12.mga6
+ Revision: 841641
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-11.mga5
+ Revision: 742564
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.40.0-10.mga5
+ Revision: 733421
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-9.mga5
+ Revision: 686254
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.40.0-8.mga5
+ Revision: 631685
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.40.0-7.mga4
+ Revision: 525028
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.40.0-6.mga4
+ Revision: 431755
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-5.mga3
+ Revision: 372847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.40.0-4.mga3
+ Revision: 251144
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.40.0-3.mga2
+ Revision: 104982
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 31191
- mageia rebuild
- imported package perl-String-Similarity

